/* eslint-disable */
/* eslint-disable no-console */

import React, { useState } from 'react'
import '../styles/Chat.scss';

import { Button, Input, Row, Col, Card } from 'antd';
import { LinkOutlined, ArrowUpOutlined, MessageOutlined, BulbOutlined, CodeOutlined, DiffOutlined } from '@ant-design/icons';
import { Link } from "react-router-dom";
import logoLI from '../../li-logo.png';
import SidePanel from '../shared/SidePanel';
import Header from '../shared/Header';


function Chat() {

    return (
        <div className='chat-container'>
            
            <SidePanel/>

            <div className='right-section'>

                <Header/>
                
                <div className='chatbox-front'>
                    <div className='chat-dashboard'> 
                        <div className='logoli'> <img src={logoLI} /></div>
                        <Row>
                            <Col span={6}>
                                <Card className='card-box'>
                                    <Link to={"/messages"}>
                                        <MessageOutlined className='pinkColor' />
                                        <p>Message to confort friend</p>
                                    </Link>
                                </Card>
                            </Col>
                            <Col span={6}>
                                <Card className='card-box'>
                                    <BulbOutlined className='orangeColor' />
                                    <p>Design a fun coading game</p>
                                </Card>
                            </Col>
                            <Col span={6}>
                                <Card className='card-box'>
                                    <CodeOutlined className='redColor' />
                                    <p>Make me a personal webpage</p>
                                </Card>
                            </Col>
                            <Col span={6}>
                                <Card className='card-box'>
                                    <DiffOutlined className='blueColor' />
                                    <p>Study Vocabulary</p>
                                </Card>
                            </Col>
                        </Row>
                    </div>
                </div>
                <div className='chatInput-box'>
                    <Link className='attchedment'><LinkOutlined /></Link>
                    <Input placeholder='Type Message' />
                    <Link to={"/"}><Button className='btn-send' type='primary'><ArrowUpOutlined /></Button></Link>
                </div>
            </div>
        </div>
    )
}

export default Chat