/* eslint-disable */
/* eslint-disable no-console */

import { useState } from "react";
import '../styles/MyAccount.scss';

import { Tabs, Button, Form, Input } from 'antd';
import { EditOutlined, UserOutlined, LockOutlined, MenuOutlined, CloseOutlined } from '@ant-design/icons';
import { Link } from "react-router-dom";
import logoLI from '../../li-logo.png';

import { TabsProps } from 'antd';

// import Header from '../shared/Header';
import UserSidenav from '../shared/UserSidenav';


const onChange = (key: string) => {
    console.log(key);
};

const items: TabsProps['items'] = [
    {
        key: '1',
        label: 'My Details',
        children: (
            <div className='Mydetails-tabs'>
                <div className='details-box'>
                    <div className='detail-head'>Name:</div>
                    <div className='detail-text'>Ramesh Reddy N</div>
                    <div className='detail-action'><Link><EditOutlined /></Link></div>
                </div>

                <div className='details-box'>
                    <div className='detail-head'>Email:</div>
                    <div className='detail-text'>Ramesh-Reddy@gmail.com</div>
                    <div className='detail-action'><Link><EditOutlined /></Link></div>
                </div>

                <div className='details-box'>
                    <div className='detail-head'>Bio:</div>
                    <div className='detail-text'>Some description about yourself</div>
                    <div className='detail-action'><Link><EditOutlined /></Link></div>
                </div>

                <div className='details-box'>
                    <div className='detail-head'>Workspace:</div>
                    <div className='detail-text'>Legal Ai</div>
                    <div className='detail-action'><Link><EditOutlined /></Link></div>
                </div>

            </div>
        ),
        icon: <UserOutlined />,
    },
    {
        key: '2',
        label: 'Change Password',
        children: (
            <div className='changePassword'>
                <Form name="basic" autoComplete="off" style={{ maxWidth: 400 }}>
                    <Form.Item name="password" rules={[{ required: true, message: 'Please enter currect password' }]}>
                        <Input type='password' placeholder='Enter Current Password'/>
                    </Form.Item>
                    <Form.Item name="password" rules={[{ required: true, message: 'Please enter Password' }]}>
                        <Input type='password' placeholder='Enter New Password'/>
                    </Form.Item>
                    <Form.Item name="password" rules={[{ required: true, message: 'Please enter Password' }]}>
                        <Input type='password' placeholder='Enter Confirm New Password'/>
                    </Form.Item>

                    <Button type="primary" block>Save</Button>

                </Form>
            </div>
        ),
        icon: <LockOutlined />,
    },
];


function Settings() {

    const [isVisible, setIsVisible] = useState(false);

    return (
        <div className='chat-container'>

            {isVisible && (
                <UserSidenav />
            )}

            <div className='desktop-view'>
                <UserSidenav />
            </div>

            <div className='right-section'>

                <button onClick={() => setIsVisible(!isVisible)} className="mobiletogglenav">
                    {isVisible ? <CloseOutlined /> : <MenuOutlined />}
                </button>

                <div className='myaccount-con'>
                    <div className='headStyle'>
                        <h2>Settings</h2>
                        <p>Check your details and change your password</p>
                    </div>
                    
                    <Tabs defaultActiveKey="1" items={items} onChange={onChange} />
                </div>
            </div>
        </div>
    )
}

export default Settings