/* eslint-disable */
/* eslint-disable no-console */

// import React, { useState } from 'react'
import { useState } from "react";
import '../styles/MyAccount.scss';

import { Tabs, Button, Form, Input, Table, Space, Modal, Checkbox } from 'antd';

import { DeleteOutlined, UserOutlined, MailOutlined, MenuOutlined, CloseOutlined, SearchOutlined } from '@ant-design/icons';
import { Link } from "react-router-dom";

import { TabsProps } from 'antd';

// import Header from '../shared/Header';
import UserSidenav from '../shared/UserSidenav';


const onChange = (key: string) => {
    console.log(key);
};

const dataSource = [
    {
        key: '1',
        name: 'Mike',
        email: 'mike@gmail.com',
        role: 'Manager',
        action: 'delete',
    },
    {
        key: '2',
        name: 'John',
        email: 'jhon@gmail.com',
        role: 'Employee',
        action: 'delete',
    },
];

const columns = [
    {
        title: 'Name',
        dataIndex: 'name',
        key: 'name',
    },
    {
        title: 'Email',
        dataIndex: 'email',
        key: 'email',
    },
    {
        title: 'Role',
        dataIndex: 'role',
        key: 'role',
    },
    {
        title: 'Action',
        dataIndex: 'action',
        render: (_, record) => (
            <Space size="middle">
                <Button type="danger"><DeleteOutlined /></Button>
            </Space>
        ),
    },
];

const items: TabsProps['items'] = [
    {
        key: '1',
        label: 'All Member',
        children: (
            <div className='Mydetails-tabs'>
                <Table dataSource={dataSource} columns={columns} />
            </div>
        ),
        icon: <UserOutlined />,
    },
    {
        key: '2',
        label: 'Pending Invites',
        children: (
            <div className='Mydetails-tabs'>
                <Table dataSource={dataSource} columns={columns} />
            </div>
        ),
        icon: <MailOutlined />,
    },
];


function UserManager() {

    const [isModalOpen, setIsModalOpen] = useState(false);
    const showModal = () => {
        setIsModalOpen(true);
    };
    const handleOk = () => {
        setIsModalOpen(false);
    };
    const handleCancel = () => {
        setIsModalOpen(false);
    };

    const [isVisible, setIsVisible] = useState(false);

    const operations = <div className="tabsExtra-sec"><Input type='text' prefix={<SearchOutlined />} placeholder='Search' /> <Button type="primary" onClick={showModal}><UserOutlined /> Invite Member</Button></div>;

    const { TextArea } = Input;


    return (
        <div className='chat-container'>

            <Modal title={<div className="modalTitle"><h3>Invite Member to the Legal Ai workspace</h3> <p>This workpscae is private, only selected member and roles can use it workspace, This workspace is opted out of training</p></div>} open={isModalOpen} onCancel={handleCancel} footer={
                <div className="footerBTN"><Button type="info">Cancel</Button> <Button type="primary">Invite</Button></div>
            }>
                <div className="modalBody">
                    <Form.Item>
                        <label className="input-pabel">Email</label>
                        <TextArea rows={4} />
                    </Form.Item>
                    <Checkbox>Resent email for existing invites</Checkbox>
                </div>
            </Modal>

            {isVisible && (
                <UserSidenav />
            )}

            <div className='desktop-view'>
                <UserSidenav />
            </div>

            <div className='right-section'>

                

                <button onClick={() => setIsVisible(!isVisible)} className="mobiletogglenav">
                    {isVisible ? <CloseOutlined /> : <MenuOutlined />}
                </button>

                <div className='myaccount-con'>

                    <div className='headStyle'>
                        <h2>User Manager</h2>
                        <p>Team 6 Member</p>
                    </div>
                    <Tabs tabBarExtraContent={operations} defaultActiveKey="1" items={items} onChange={onChange} />
                </div>
            </div>
        </div>
    )
}

export default UserManager